Package it.ernytech.tdlib

## Class TdApi.MessageAudio

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.MessageContent
    - - it.ernytech.tdlib.TdApi.MessageAudio

Enclosing class:
  TdApi

    public static class TdApi.MessageAudio
    extends TdApi.MessageContent

An audio message.

### Field Summary

Fields
`TdApi.Audio` `audio` Message content.
`TdApi.FormattedText` `caption` Audio caption.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.

### Constructor Summary

Constructors
`MessageAudio()` Default constructor.
`MessageAudio​(TdApi.Audio audio, TdApi.FormattedText caption)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### audio

    public TdApi.Audio audio

Message content.

#### caption

    public TdApi.FormattedText caption

Audio caption.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### MessageAudio

    public MessageAudio()

Default constructor.

#### MessageAudio

    public MessageAudio​(TdApi.Audio audio,
                        TdApi.FormattedText caption)

Constructor for initialization of all fields.

Parameters:
  `audio` - Message content.
  `caption` - Audio caption.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR